geos::geom::Position Class Reference

A Position indicates the position of a Location relative to a graph component (Node, Edge, or Area). More...

`#include <Position.h>`

## Public Types

enum | { ON = 0 , LEFT , RIGHT }

## Static Public Member Functions

static int | opposite (int position)
| Returns LEFT if the position is RIGHT, RIGHT if the position is LEFT, or the position otherwise.

## Detailed Description

A Position indicates the position of a Location relative to a graph component (Node, Edge, or Area).

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
ON | An indicator that a Location is on a GraphComponent.
LEFT | An indicator that a Location is to the left of a GraphComponent.
RIGHT | An indicator that a Location is to the right of a GraphComponent.

The documentation for this class was generated from the following file:

- Position.h